<?php
include("../db.php");
$requestData= $_REQUEST;
$s = $_POST['s'];
$e = $_POST['e'];
$columns = array( 
	0 =>  'name_expense',
	1 =>  'value_exp',
	2 =>  'comment_exp',
	3 =>  'date_exp',
    4 =>  'time',
	5 => 'name_emp',
	6 => 'name_cata'
);

$sql = "
SELECT * FROM `exp_mony` left join `expen` on `expen`.`id_expense` = `exp_mony`.`id_exp`  left join `emp` on `emp`.`id_emp` = `exp_mony`.`id_user`
left join `cata` on `cata`.`id_cata` = `exp_mony`.`id_member`
where `exp_mony`.`date_exp` between '$s' and '$e'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `exp_mony` left join `expen` on `expen`.`id_expense` = `exp_mony`.`id_exp`  left join `emp` on `emp`.`id_emp` = `exp_mony`.`id_user`
left join `member` on `member`.`id_member` = `exp_mony`.`id_member`
where `exp_mony`.`date_exp` between '$s' and '$e'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_expense LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR value_exp LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR comment_exp LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR date_exp LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR time LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR name_cata LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR name_emp LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["name_expense"];
	$nestedData[] = $row["value_exp"];
	$nestedData[] = $row["name_emp"];
	//$nestedData[] = $row["name_cata"];
	$nestedData[] = $row["comment_exp"];
	$nestedData[] = $row["date_exp"];
	$nestedData[] = $row["time"];
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



